/******************************************************************************
*                                                                             *
*    FileList.h                             Copyright(c) 2005-2009 itow,y.    *
*                                                                             *
******************************************************************************/

/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef FILELIST_H
#define FILELIST_H


class FileList {
	LPTSTR *m_ppszList;
	int m_ListLength;
	int m_NumFiles;
	void SortSub(int nFirst,int nLast);
public:
	FileList();
	~FileList();
	void Clear();
	bool AddFile(LPCTSTR pszFileName);
	bool AddDirectoryFiles(LPCTSTR pszDirectory,LPCTSTR pszMasks,
															BOOL fFindSubDir);
	bool GetFile(int Index,LPTSTR pszFileName) const;
	int GetCount() const { return m_NumFiles; }
	void Sort();
};


#endif	// ndef FILELIST_H
