/******************************************************************************
*                                                                             *
*    Util.h                                 Copyright(c) 2005-2009 itow,y.    *
*                                                                             *
******************************************************************************/

/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef Util_H
#define Util_H


int StrToInt(LPCTSTR pszValue,int nBase=10);
unsigned int StrToUInt(LPCTSTR pszValue,int nBase=10);

BOOL ShowToolbarTipHelp(HWND hwnd,BOOL fShow);
void InitOpenFileName(OPENFILENAME *pofn);

void EnableDlgItem(HWND hDlg,int ID,BOOL fEnable);
void EnableDlgItems(HWND hDlg,int FirstID,int LastID,BOOL fEnable);
void InvalidateDlgItem(HWND hDlg,int ID);

LPTSTR MergeFileName(LPTSTR pszFilePath,LPCTSTR pszDirectory,
														LPCTSTR pszFileName);
LPTSTR GetFileName(LPTSTR pszFileName,LPCTSTR pszFilePath);
LPTSTR GetFileNamePtr(LPCTSTR pszFilePath);
LPTSTR GetFileDirectory(LPTSTR pszDirectory,LPCTSTR pszFilePath);
LPTSTR GetFileExtensionPtr(LPCTSTR pszFilePath);
LPTSTR RemoveDirectoryBackslash(LPTSTR pszDirectory);
LPTSTR GetAbsolutePath(LPTSTR pszAbsolutePath,LPCTSTR pszBaseDirectory,
													LPCTSTR pszRilativePath);
LPTSTR GetFilePathEllipsis(LPTSTR pszEllipsis,LPCTSTR pszFilePath);
BOOL FileExists(LPCTSTR pszFileName);
BOOL DirectoryExists(LPCTSTR pszDirectory);
int StringNumberCompare(LPCTSTR pszString1,LPCTSTR pszString2,
															bool fIgnoreCase);


#endif	// ndef UTIL_H
