/******************************************************************************
*                                                                             *
*    Volume.h                               Copyright(c) 2007-2009 itow,y.    *
*                                                                             *
******************************************************************************/

/*
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/


#ifndef VOLUME_H


#define MAX_VOLUME 1000


class VolumeSlider {
	HWND m_hwnd;
	int m_Volume;
	COLORREF m_VolumeColor;
	static LRESULT CALLBACK WndProc(HWND hwnd,UINT uMsg,
												WPARAM wParam,LPARAM lParam);
	static VolumeSlider* GetPointer(HWND hwnd);
	void SendNotifyMessage(int Type);
public:
	static bool Init(HINSTANCE hinst);
	VolumeSlider(HWND hwndParent,int ID,int Left,int Top,int Width,int Height,
															HINSTANCE hinst);
	~VolumeSlider();
	HWND GetHandle() { return m_hwnd; }
	void SetVolume(int Volume);
	int GetVolume() const { return m_Volume; }
	void SetColor(COLORREF Color);
	enum {
		NOTIFY_VOLUMECHANGE=1
	};
};


#endif	// ndef VOLUME_H
